## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCForeignKey

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
                  org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
                      org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl
                          org.eclipse.datatools.modelbase.sql.constraints.impl.ForeignKeyImpl
                              org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCForeignKey

All Implemented Interfaces:
  Constraint, ForeignKey, ICatalogObject, ReferenceConstraint, SQLObject, TableConstraint

public class JDBCForeignKey
extends ForeignKeyImpl
implements ICatalogObject

See Also:
  Serialized Form

Constructor Summary
`JDBCForeignKey()`

Method Summary
`boolean` `eIsSet(EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`EList` `getEAnnotations()`
`boolean` `isIdentifyingRelationship(EList columns)`
`boolean` `isSystemObject()`
`void` `refresh()`
`static void` `setAsIdentifyingRelatinship(ForeignKey fk, boolean identifying)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ForeignKeyImpl

`basicGetReferencedTable, basicGetUniqueConstraint, basicGetUniqueIndex, basicSetReferencedTable, basicSetUniqueConstraint, basicSetUniqueIndex, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getMatch, getOnDelete, getOnUpdate, getReferencedMembers, getReferencedTable, getUniqueConstraint, getUniqueIndex, setMatch, setOnDelete, setOnUpdate, setReferencedTable, setUniqueConstraint, setUniqueIndex, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl
`getMembers`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
`basicSetBaseTable, eBasicRemoveFromContainerFeature, getBaseTable, setBaseTable`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCForeignKey

    public JDBCForeignKey()

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### isSystemObject

    public boolean isSystemObject()

### getEAnnotations

    public EList getEAnnotations()

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `ForeignKeyImpl`

### setAsIdentifyingRelatinship

    public static void setAsIdentifyingRelatinship(ForeignKey fk,
                                                   boolean identifying)

### isIdentifyingRelationship

    public boolean isIdentifyingRelationship(EList columns)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.